Package: org.grails.buffer

## [Java] Class FastStringPrintWriter

- org.grails.buffer.FastStringPrintWriter

- Fast in-memory PrintWriter implementation.

  Authors:
    Lari Hotari
  Since:
    2.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GrailsPrintWriterAdapter` | `target`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `FastStringPrintWriter ()`
    `FastStringPrintWriter (int initialChunkSize)`
    `protected FastStringPrintWriter (java.lang.Object o)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `StreamCharBuffer` | `getBuffer()`
    `` | `java.io.Reader` | `getReader()`
    `` | `java.lang.String` | `getValue()`
    `` | `static FastStringPrintWriter` | `newInstance()`
    `` | `static FastStringPrintWriter` | `newInstance(int initialChunkSize)`
    `` | `java.lang.String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GrailsPrintWriterAdapter` | `append, append, append, append, append, checkError, close, flush, getOut, getTarget, handleIOException, isAllowUnwrappingOut, isTrouble, isUsed, leftShift, leftShift, leftShift, markUsed, newInstance, plus, print, print, print, print, print, print, print, print, print, print, print, println, println, println, println, println, println, println, println, println, println, println, resetUsed, setError, setTarget, setUsed, unwrap, write, write, write, write, write, write, write`
    `class java.io.PrintWriter` | `java.io.PrintWriter#println(double), java.io.PrintWriter#println([C), java.io.PrintWriter#println(float), java.io.PrintWriter#println(java.lang.String), java.io.PrintWriter#println(java.lang.Object), java.io.PrintWriter#println(int), java.io.PrintWriter#println(char), java.io.PrintWriter#println(boolean), java.io.PrintWriter#println(), java.io.PrintWriter#println(long), java.io.PrintWriter#append(java.lang.CharSequence, int, int), java.io.PrintWriter#append(java.lang.CharSequence), java.io.PrintWriter#append(java.lang.CharSequence), java.io.PrintWriter#append(char), java.io.PrintWriter#append(java.lang.CharSequence), java.io.PrintWriter#append(char), java.io.PrintWriter#append(java.lang.CharSequence, int, int), java.io.PrintWriter#append(char), java.io.PrintWriter#append(java.lang.CharSequence, int, int), java.io.PrintWriter#format(java.util.Locale, java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#format(java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#write([C, int, int), java.io.PrintWriter#write(java.lang.String, int, int), java.io.PrintWriter#write([C), java.io.PrintWriter#write(int), java.io.PrintWriter#write(java.lang.String), java.io.PrintWriter#print(float), java.io.PrintWriter#print(long), java.io.PrintWriter#print(int), java.io.PrintWriter#print(char), java.io.PrintWriter#print(boolean), java.io.PrintWriter#print(java.lang.Object), java.io.PrintWriter#print(java.lang.String), java.io.PrintWriter#print([C), java.io.PrintWriter#print(double), java.io.PrintWriter#flush(), java.io.PrintWriter#close(), java.io.PrintWriter#checkError(), java.io.PrintWriter#printf(java.util.Locale, java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#printf(java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#wait(long, int), java.io.PrintWriter#wait(long), java.io.PrintWriter#wait(), java.io.PrintWriter#equals(java.lang.Object), java.io.PrintWriter#toString(), java.io.PrintWriter#hashCode(), java.io.PrintWriter#getClass(), java.io.PrintWriter#notify(), java.io.PrintWriter#notifyAll()`

- - ### Constructor Detail

    - #### public FastStringPrintWriter()

    - #### public FastStringPrintWriter(int initialChunkSize)

    - #### protected FastStringPrintWriter(java.lang.Object o)

  - ### Method Detail

    - #### public StreamCharBuffer getBuffer()

    - #### public java.io.Reader getReader()

    - #### public java.lang.String getValue()

    - #### public static FastStringPrintWriter newInstance()

    - #### public static FastStringPrintWriter newInstance(int initialChunkSize)

    - #### @java.lang.Override public java.lang.String toString()